Bug 230043 - sysutils/flashrom: unbreak on aarch64 and others
Summary: sysutils/flashrom: unbreak on aarch64 and others
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2018-07-25 17:27 UTC by Greg V
Modified: 2018-11-01 15:17 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mizhka)


Attachments
flashrom.patch (1.39 KB, patch)
2018-07-25 17:27 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-07-25 17:27:04 UTC
Created attachment 195452 [details]
flashrom.patch

The DMIDECODE option requires a package that's only available on i386/amd64, so restrict that option to these platforms.

+ aarch64's endianness wasn't detected, added a tiny patch for that.
Comment 1 Greg V 2018-07-25 19:22:53 UTC
I also wrote a module for spigen support: https://github.com/flashrom/flashrom/pull/53 Probably worth importing as a patch for now
Comment 2 Michael Zhilin 2018-10-08 09:07:17 UTC
Greg V,

Sorry for delay! 

Do you test it on armv7 or aarch64? 
AFAIK, Allwinner H3 is armv7... :|
Comment 3 Greg V 2018-10-08 18:14:04 UTC
(In reply to Michael Zhilin from comment #2)
Build on both, actual operation on armv7 (don't have SPI on my aarch64 machines)
Comment 4 commit-hook freebsd_committer 2018-11-01 15:17:18 UTC
A commit references this bug:

Author: linimon
Date: Thu Nov  1 15:16:52 UTC 2018
New revision: 483676
URL: https://svnweb.freebsd.org/changeset/ports/483676

Log:
  Unbreak on aarch64 and possibly others.

  PR:		230043
  Submitted by:	greg at unrelenting dot technology
  Approved by:	maintainer

Changes:
  head/sysutils/flashrom/Makefile